package com.bjtdba.userCenter.service;

import com.bjtdba.entity.userCenter.UserVideoComment;
import org.springframework.data.domain.Page;

import java.util.List;

/**
 * 视频评论表(UserVideoComment)表服务接口
 *
 * @author 何海强
 * @since 2022-11-16 10:42:03
 */
public interface UserVideoCommentService {

    /**
     * 通过ID查询单条数据
     *
     * @param mid 主键
     * @return 实例对象
     */
    UserVideoComment queryById(Integer mid);

    /**
     * 分页查询
     *
     * @param userVideoComment 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<UserVideoComment> queryByPage(UserVideoComment userVideoComment);

    List<UserVideoComment> quertList(UserVideoComment userVideoComment);

    long counts(UserVideoComment userVideoComment);

    /**
     * 新增数据
     *
     * @param userVideoComment 实例对象
     * @return 实例对象
     */
    UserVideoComment insert(UserVideoComment userVideoComment);

    /**
     * 修改数据
     *
     * @param userVideoComment 实例对象
     * @return 实例对象
     */
    UserVideoComment update(UserVideoComment userVideoComment);

    /**
     * 通过主键删除数据
     *
     * @param mid 主键
     * @return 是否成功
     */
    boolean deleteById(Integer mid);

}
